#!/bin/bash
#
# chown root.www-data $0
#
# root@fernzugriff:~# ping -c1 9.9.9.9   | head -n2 | tail -n1
# 64 Bytes von 9.9.9.9: icmp_seq=1 ttl=59 Zeit=13.1 ms
#
# root@fernzugriff:~# ping -c1 9.9.9.33   | tail -n2 | head -n1
# 1 packets transmitted, 0 received, 100% packet loss, time 0ms
#

LANG=C
ping -c1 9.9.9.9 > /tmp/checkInet9999.txt 2>&1
# ping -c1 9.9.9.33 > /tmp/checkInet999.txt 2>&1   # for testing => "packages lost"

if [ $? == 0 ]; then
    # 64 Bytes von 9.9.9.9: icmp_seq=1 ttl=59 Zeit=13.1 ms
    result=$(cat /tmp/checkInet9999.txt | head -n2 | tail -n1)
    echo $result  # for testing
    echo $result >  /tmp/checkInet9999result.txt
    echo $result >> /tmp/checkInet9999result.txt
    echo $result >> /tmp/checkInet9999result.txt

else
    # 1 packets transmitted, 0 received, 100% packet loss, time 0ms
    echo $(cat /tmp/checkInet9999.txt | tail -n2 | head -n1)  # for testing
    echo $(cat /tmp/checkInet9999.txt | tail -n2 | head -n1) > /tmp/checkInet9999result.txt

fi

# output either
#  64 Bytes from 9.9.9.9: icmp_seq=1 ttl=59 Zeit=13.1 ms
# or:
#  1 packets transmitted, 0 received, 100% packet loss, time 0ms
